apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: nginx
spec:
  interval: 1m
  releaseName: nginx
  targetNamespace: ingress-nginx
  install:
    createNamespace: true
  chart:
    spec:
      chart: ingress-nginx
      sourceRef:
        kind: HelmRepository
        name: ingress-nginx
  valuesFrom:
    - kind: ConfigMap
      name: nginx-base-values
    - kind: ConfigMap
      name: nginx-overlay-values
